Name:           python3-cffi
Version:        1.9.1
Release:        3%{?dist}
Summary:        Foreign Function Interface for Python to call C code
License:        MIT
URL:            http://cffi.readthedocs.org/
Source0:        https://pypi.io/packages/source/c/cffi/cffi-%{version}.tar.gz

BuildRequires:  libffi-devel python-sphinx
BuildRequires:  python%{python3_pkgversion}-devel python%{python3_pkgversion}-setuptools python%{python3_pkgversion}-Cython python%{python3_pkgversion}-pycparser
BuildRequires:  python%{python3_pkgversion}-pytest

%description
Foreign Function Interface for Python, providing a convenient and
reliable way of calling existing C code from Python. The interface is
based on LuaJIT’s FFI.


%package -n python%{python3_pkgversion}-cffi
Summary:        Foreign Function Interface for Python 3 to call C code
Requires:       python%{python3_pkgversion}-pycparser
%{?python_provide:%python_provide python%{python3_pkgversion}-cffi}

%description -n python%{python3_pkgversion}-cffi
Foreign Function Interface for Python, providing a convenient and
reliable way of calling existing C code from Python. The interface is
based on LuaJIT’s FFI.

%package doc
Summary:        Documentation for CFFI
BuildArch:      noarch

%description doc
Documentation for CFFI, the Foreign Function Interface for Python.

%prep
%setup -q -n cffi-%{version}

%build
%py3_build
cd doc
make html
rm build/html/.buildinfo

%install
%py3_install \
    --record %{buildroot}%{python3_sitearch}/cffi-%{version}-py%{python3_version}.egg-info/installed-files.txt

%check
PYTHONPATH=%{buildroot}%{python3_sitearch} py.test-%{python3_version} -v c/ testing/

%files -n python%{python3_pkgversion}-cffi
%doc AUTHORS PKG-INFO
%license LICENSE
%{python3_sitearch}/*

%files doc
%license LICENSE
%doc doc/build/html

%changelog
* Thu Mar 07 2019 Troy Dawson <tdawson@redhat.com>
- Rebuilt to change main python from 3.4 to 3.6

* Mon Feb 27 2017 Orion Poplawski <orion@cora.nwra.com> - 1.9.1-2
- Drop requires on python3-cffi in doc package

* Mon Feb 6 2017 Orion Poplawski <orion@cora.nwra.com> - 1.9.1-1
- Update to 1.9.1

* Fri Jan 6 2017 Orion Poplawski <orion@cora.nwra.com> - 1.8.3-1
- Initial EPEL package
